# Makefile de la version avec le new remplimat
# Les options de complilations sont dans les fichiers specifiques, adaptes aux diverses machines utilisees 
# FT options de compilation
# LK options de link
# F_NETCDF options de compilation + librairies NETCDF

# pour lancer
# sur pc: nohup `echo job-test | LBqAntar-15` &    ou echo job-test | LBqAntar-15
# sur r2d2 le mettre dans job*sh

#-------------------------------------------
# listes pour la resolution equation elliptique
#------------------------------------------------

# nouvelle version de remplimat
#----------------------------------

mod_ell             = remplimat_declar_tabTu_mod.o eq_ellipt_sgbsv_mod-0.2.o
routine_elliptiques = remplimat-shelves-tabTu.o graphique_L2.o graph-sgbsv.o
diagnoshelf         = diagno-L2_mod.o


# liste de modules communs a toutes geographies/experiences
#-----------------------------------------------------------

# modules servant aux declarations globales
mod_dim_communs = runparam_mod.o param_phy_mod.o \
	3D-physique-gen_mod.o io_netcdf_GRISLI.o 



# modules climats : doivent etre compatibles avec les modules choix
# il faut choisir un des deux ou un specifique a une geometrie.

# module de forcage climatique C. Dumas
mod_clim_tof = climat-forcage-insolation_mod_oneway.o climat-forcage-insolation_mod.o \
  climat_GrIce2sea_years_mod.o climat_GrIce2sea_years_perturb_mod.o \
	climat_InitMIP_years_perturb_mod.o \
	climat-perturb_mod-0.4.o climat_forcage_mod.o climat_transient_GCM_mod.o \
	ablation_mod.o no_ablation_mod.o 

# methode forcage basee sur des snapshots climats
mod_clim_forcage = climat-forcage_mod-0.4.o \
	declare-month_mod.o \
	declare-month_lapsecouche_mod.o  \
	ablation_ann_july_mod.o \
	ablation_month.o accum_month.o no_ablation_mod.o \
	massb-ant_forcage-0.4.o	accum7.o \
	ablation_month_lapsecouche.o accum_month_lapsecouche.o 

# methode perturbation des champs actuels
mod_clim_perturb = climat-perturb_mod-0.4.o climat-perturb-mois_mod.o \
	climat-perturb-mois_lapsecouche_mod.o \
	declare-month_mod.o \
	declare-month_lapsecouche_mod.o  \
	ablation_ann_july_mod.o \
	ablation_month.o accum_month.o no_ablation_mod.o \
	ablation_month_lapsecouche.o accum_month_lapsecouche.o \
	massb_perturb_mois.o massb_perturb_mois_lapsecouche.o 

mod_communs = util_recovery.o \
	interface_input.o \
	iso_declar_mod-0.3.o isostasie_mod-0.3.o noisostasie_mod-0.3.o \
	deformation_mod_2lois.o deformation_mod_2lois_isotherme.o     \
	sliding_Bindshadler_mod.o no_sliding.o			    \
	fake_beta_iter_vitbil_mod.o \
	dragging_param_beta_mod.o dragging_param_beta_sedim_mod.o \
	dragging_coulomb_friction_mod.o dragging_coulomb_friction_simplhydro_mod.o \
	bilan_eau_mod.o calving_frange.o calving_frange_abuk.o \
	calving_frange_ISMIP_glaciers.o calving_frange_ISMIP_fracture.o \
	no_calving.o no_rsl.o imposed_regions_rsl.o lake_rsl_mod.o \
	out_profile_mod.o printtable_mod.o mix-SIA-L1_mod.o \
	furst_schoof_mod.o bilan_flux_output_mod.o \
	relaxation_water_diffusion.o \
	prescribe-H-i2s_mod.o  \
	resol_adv_diff_2D-sept2009.o  \
	conserv-mass-adv-diff_sept2009_mod.o  \
	eaubasale-0.5_mod.o spinup_mod.o no_spinup_mod.o \
	tridiag_mod-0.3.o bmelt-seuil-profondeur_mod.o bmelt-seuil-profondeur_initmip_inv_mod.o bmelt-beckmann-gcm_mod.o
	 

mod_communs_RGL =   util_recovery.o \
	interface_input.o \
	iso_declar_mod-0.3.o isostasie_mod-0.3.o noisostasie_mod-0.3.o \
	deformation_mod_2lois.o deformation_mod_2lois_isotherme.o      \
	sliding_Bindshadler_mod.o no_sliding.o                      \
	dragging_param_beta_mod.o dragging_param_beta_sedim_mod.o \
	dragging_coulomb_friction_mod.o dragging_coulomb_friction_simplhydro_mod.o \
	calving_frange.o calving_frange_abuk.o calving_frange_ISMIP_fracture.o \
	no_calving.o no_rsl.o imposed_regions_rsl.o lake_rsl_mod.o \
	out_profile_mod.o printtable_mod.o mix-SIA-L1_mod.o \
	furst_schoof_mod.o bilan_flux_output_mod.o \
	relaxation_water_diffusion.o \
	prescribe-H-i2s_mod.o   \
	resol_adv_diff_2D-sept2009.o  \
	conserv-mass-adv-diff_sept2009_mod.o  \
	eaubasale-0.5_mod.o spinup_mod.o no_spinup_mod.o \
	tridiag_mod-0.3.o out_horiz_mod.o bmelt-seuil-profondeur_mod.o \
	bmelt-seuil-profondeur_initmip_inv_mod.o bmelt-beckmann-gcm_mod.o


# attention les tracers reclament le climat_perturb
mod_tracers = tracer_vars_mod.o tracer_mod.o notracer_mod.o \
	interpolate_tracer.o celltest_tracer.o 	
# no_tracer a part pour eviter pb avec climat_perturb => voir avec Cat
mod_no_tracers = tracer_vars_mod.o notracer_mod.o

# Toy est la version juin 2012 avec Schooffing

toy_recul = toy_declar_3D_grisli_mod.o \
        declar_io_ncdf_toy_mod_fake.o\
        declar_toy_retreat.o \
        toy_retreat_mod.o

# liste de routines communes

routines_communes = tracebug.o ablation_bord.o \
	icetemp_declar_mod.o bmelt-grounded.o \
	diffusiv-polyn-0.6.o \
	flottab2-0.7.o   \
	advec_icetemp.o \
	prop_th_icetemp.o \
	Qprod_icetemp.o \
	temp_col.o \
	icetemp_mod.o \
	initial-0.3.o initial-phy-2.o initial2-0.4.o \
	readinput.o lect_datfile.o \
	out_cptr_mod.o lineartemp-0.2.o  litho-0.4.o main3D-0.4-40km.o masque.o \
	moy_mxmy.o neffect-0.4.o next-time.o \
	no-icethick.o  printdebug.o  \
	slope_surf.o \
	strain_rate.o \
	tab-litho-0.3.o taubed-0.3.o \
	velocities-polyn-0.3.o \
	courbures.o


# listes dependant de la geographie
#_____________________________________

# Liste_mismip_3D_5
Liste_mismip_3D_5 =  no_ablation_mod.o climat-mismip3d_mod.o  \
	output_global_mod.o dragging_mismip3d_mod.o \
	fake-routines-mismip3d_mod.o \
	tracer_vars_mod.o notracer_mod.o 

# Liste_mismip_post_ncdf
Liste_mismip_post_ncdf = lect-mismip3d_mod.o  module_choix_mismip3d.o


# Liste_GrIce2sea
Liste_GrIce2sea =  lect_GrIce2sea_gen_nc.o  \
  output_Grice2sea_mod.o \
  fake-routines_Grice2sea_mod.o \
	dragging_prescr_beta_mod.o dragging_prescr_beta_perturb_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
	module_choix_GrIce2sea.o
	
Liste_grismip6 = output_anta40_mod-0.4.o \
	dragging_prescr_beta_mod.o dragging_prescr_beta_perturb_mod.o \
	dragging_prescr_beta_nolin_mod.o \
	lect-grismip6_mod.o \
	fake-routines-ant_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
	module_choix-grismip6.o \
	track_ant40_mod.o

Liste_ANT16 = output_anta40_mod-0.4.o \
	dragging_prescr_beta_mod.o dragging_prescr_beta_perturb_mod.o \
	dragging_prescr_beta_nolin_mod.o \
	lect-anteis_mod.o \
	bmelt-ant-regions_mod.o \
	bmelt-ant-regions-initmip_mod.o \
	bmelt-ant-regions-larmip_mod.o \
	bmelt-ismip6-param_mod.o \
	fake-routines-ant_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
	module_choix-ant16km.o \
	massb-ant_perturb_Tparam.o \
	track_ant40_mod.o

Liste_hemin40 = output_hemin40_mod.o \
	lect-hemin40_mod.o \
	bmelt-hemin40-regions_mod.o bmelt-hemin40-depth_mod.o \
	fake-routines-hemin40_mod.o \
	dragging_prescr_beta_mod.o dragging_prescr_beta_perturb_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
	module_choix-hemin40-0.4.o track_hemin40_mod.o

Liste_hemin15 = output_hemin40_mod.o \
	lect-hemin15_mod.o  \
	bmelt-hemin40-depth_mod.o \
	fake-routines-hemin15_mod.o  module_choix-hemin15.o \
	track_hemin15_mod.o

Liste_greeneem15 = output_greeneem_mod-0.4.o \
	lect-greeneem_mod.o \
	dragging_neem_mod.o \
	fake-routines-greeneem_mod.o \
	dragging_prescr_beta_mod.o dragging_prescr_beta_perturb_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
	module_choix-greeneem.o \
	track_greeneem_mod.o 
       
Liste_Ant40 = output_anta40_mod-0.4.o \
	lect-anteis_mod.o \
	bmelt-ant-regions_mod.o \
	bmelt-ant-regions-oce_mod.o \
	bmelt-ant-regions-initmip_mod.o \
	fake-routines-ant_mod.o \
	dragging_prescr_beta_mod.o dragging_prescr_beta_perturb_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
	module_choix-antar40-0.4.o \
	track_ant40_mod.o
        
Liste_Snowball = output_snowball_mod-0.4.o \
	lect-snowball_mod.o \
	bmelt-snowball-depth_mod.o \
	fake-routines-snowball_mod.o \
	module_choix-snowball.o \
	track_snowball_mod.o
	
Liste_euras40 = output_eurasie_mod.o \
        lect-eurasie_mod.o \
        bmelt-hemin40-depth_mod.o \
        fake-routines-eurasie_mod.o \
	dragging_prescr_beta_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
        module_choix-eurasie.o track_eurasie_mod.o

Liste_euras20 = output_eurasie_mod.o \
        lect-eurasie_mod.o \
        bmelt-hemin40-depth_mod.o \
        fake-routines-eurasie_mod.o \
	dragging_prescr_beta_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
        module_choix-eurasie.o track_eurasie_mod.o
        
Liste_euras10 = output_eurasie_mod.o \
        lect-eurasie_mod.o \
        bmelt-hemin40-depth_mod.o \
        fake-routines-eurasie_mod.o \
	dragging_prescr_beta_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
        module_choix-eurasie.o track_eurasie_mod.o
        
Liste_laure16 = output_laure16_mod.o \
        lect-laurentide_mod.o \
        bmelt-hemin40-depth_mod.o \
        fake-routines-laurentide_mod.o \
	dragging_prescr_beta_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
        module_choix-laurentide.o track_laurentide_mod.o

Liste_alps = output_alps_mod.o \
        lect-alps_mod.o \
        bmelt-hemin40-depth_mod.o \
        fake-routines-alps_mod.o \
	dragging_prescr_beta_mod.o \
	beta_iter_vitbil_mod.o \
	dragging_beta_iter_vitbil_mod.o \
        module_choix-alps.o track_alps_mod.o

Liste_greeneem05 = output_greeneem_mod-0.4.o lect-clim-act-greeneem_mod.o \
	lect-clim-act-greeneem_mar_mod.o \
	dragging_neem_mod.o \
	lect-clim-act-greeneem_mois_lapsecouche_mod.o \
	lect-clim-act-greeneem_mois_mod.o lect-greeneem_mod.o \
	massb_perturb_Tparam_greeneem.o \
	fake-routines-greeneem_mod.o massb-ant_forcage-0.4.o \
	module_choix-greeneem.o track_greeneem_mod.o 


# listes de dimensionnement (dependent de la geographie)
#-----------------------------

Dim_Mismip_3D_5 = paradim_mismip3D_5km_mod.o geography-Mismip3d.o

Dim_GrIce2sea = paradim-GrIce2sea-cut_Tamsin.o geography-GrIce2sea.o

Dim_grismip6 = paradim-grismip6_mod.o geography-grismip6.o

Dim_ANT16 = paradim-ant16_mod.o geography-ant16.o

Dim_hemin40 = paradim-hemin40_mod.o geography-hemin40_mod.o

Dim_hemin15 = paradim-hemin15_mod.o geography-hemin15_mod.o

Dim_Ant40 = paradim-ant40_mod.o geography-ant40_mod.o

Dim_Snowball = paradim-snowball_mod.o geography-snowball_mod.o

Dim_euras40 = paradim-eurasie40_mod.o geography-eurasie40_mod.o

Dim_euras20 = paradim-eurasie20_mod.o geography-eurasie20_mod.o

Dim_euras10 = paradim-eurasie10_mod.o geography-eurasie10_mod.o

Dim_laure16 = paradim-laure16_mod.o geography-laure16_mod.o

Dim_alps1 = paradim-alps1_mod.o geography-alps1_mod.o

Dim_alps2 = paradim-alps2_mod.o geography-alps2_mod.o

Dim_greeneem15 = paradim-greeneem15_mod.o geography-greeneem15_mod.o

ifeq ($(mkl_c), 0)
Liste_BLAS = band.o reduc.o \
	isamax.o lsame.o scopy.o \
	slamch.o slabad.o slange.o \
	slassq.o sgeqrf.o sormqr.o \
	strmv.o slarft.o \
	ilaslr.o ilaslc.o strmm.o \
	slarfb.o slapy2.o slarfg.o slarf.o \
	sgeqr2.o sorm2r.o snrm2.o \
	slaqps.o slaqp2.o sgeqp3.o \
	slaset.o slaisnan.o sisnan.o \
	slascl.o sdot.o slaic1.o \
	slarzb.o slarzt.o \
	saxpy.o slarz.o sormr3.o \
	sormrz.o slatrz.o stzrzf.o sgelsy.o \
	sgbmv.o sgemm.o sgemv.o  sger.o \
	sscal.o sswap.o stbsv.o \
	strsm.o xerbla.o

endif


Liste_Netcdf =   sortie_netcdf_GRISLI_mod.0.2-hassine.o 


# Pour changer la methode de lecture du fichier param
#----------------------------------------------------------------------------------

# Hemin40_files :
%.o: Hemin40_files/%.f90
	$(FT) $(NCDF_INC) -c Hemin40_files/$*.f90

# Hemin15_files
%.o: Hemin15_files/%.f90
	$(FT) $(NCDF_INC) -c initial-phy-2.f90

# Antarctique_general_files
%.o: Antarctique_general_files/%.f90
	$(FT) $(NCDF_INC) -c Antarctique_general_files/$*.f90

# GrIce2sea_files
%.o: GrIce2sea_files/%.f90
	$(FT) $(NCDF_INC) -c GrIce2sea_files/$*.f90

# Grismip6_files
%.o: Grismip6_files/%.f90
	$(FT) $(NCDF_INC) -c Grismip6_files/$*.f90

# Ant40_files
%.o: Ant40_files/%.f90
	$(FT) $(NCDF_INC) -c Ant40_files/$*.f90

# Ant16_files
%.o: Ant16_files/%.f90
	$(FT) $(NCDF_INC) -c Ant16_files/$*.f90

# Euras_files :
%.o: Eurasie_files/%.f90
	$(FT) $(NCDF_INC) -c Eurasie_files/$*.f90
	
# Laure16_files :
%.o: Laure16_files/%.f90
	$(FT) $(NCDF_INC) -c Laure16_files/$*.f90
	
# Alps_files :
%.o: Alps_files/%.f90
	$(FT) $(NCDF_INC) -c Alps_files/$*.f90

# Greeneem_files/Greeneem15_files
%.o: Greeneem_files/Greeneem15_files/%.f90
	$(FT) $(NCDF_INC) -c Greeneem_files/Greeneem15_files/$*.f90

# Greeneem_files
%.o: Greeneem_files/%.f90
	$(FT) $(NCDF_INC) -c Greeneem_files/$*.f90

# Draggings_modules
%.o: Draggings_modules/%.f90
	$(FT) $(NCDF_INC) -c Draggings_modules/$*.f90

# Snowball_files
%.o: Snowball_files/%.f90
	$(FT) $(NCDF_INC) -c Snowball_files/$*.f90

# subroutines communes :
%.o: %.f90
	$(FT) $(NCDF_INC) -c $*.f90

# New-remplimat :
%.o : New-remplimat/%.f90
	$(FT) $(NCDF_INC) -c New-remplimat/$*.f90

# Netcdf-routines :
%.o: Netcdf-routines/%.f90
	$(FT) $(NCDF_INC) -c Netcdf-routines/$*.f90

#toy_recul :
%.o: Recul_force_grounding_line/%.f90
	$(FT) $(NCDF_INC) -c Recul_force_grounding_line/$*.f90

#Temperature :
%.o : Temperature-routines/%.f90
	$(FT) $(NCDF_INC) -c Temperature-routines/$*.f90

# BLAS :
%.o : BLAS/%.f
	$(FTf) -c BLAS/$*.f

# Reduc et band:   
%.o : LAPACK/%.f
	$(FTf) -c LAPACK/$*.f


# Liens et Construction des executables
#---------------------------------------

Ant-16 : $(Dim_ANT16) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_ANT16) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Ant-16 \
	$(Dim_ANT16) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_ANT16) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Ant-16_iterbeta : $(Dim_ANT16) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_ANT16) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Ant-16_iterbeta \
	$(Dim_ANT16) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_ANT16) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Mismip3D_5 : $(Dim_Mismip_3D_5)	 $(mod_dim_communs)  $(mod_communs) \
	$(mod_ell) $(Liste_mismip_3D_5) \
	$(Liste_Netcdf) $(Liste_mismip_post_ncdf) \
	$(diagnoshelf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) 

	$(LK) -o ../bin/mismip3D  $(Dim_Mismip_3D_5)  \
	$(mod_dim_communs) fake-routines-mismip3d_mod.o $(mod_communs) \
	$(mod_ell)  $(Liste_mismip_3D_5) \
	$(Liste_Netcdf) $(Liste_mismip_post_ncdf) $(diagnoshelf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB)

Grice2sea : $(Dim_GrIce2sea) $(mod_dim_communs)   \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Grice2sea \
	$(Dim_GrIce2sea) $(mod_dim_communs)  \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Grice2sea_iterbeta : $(Dim_GrIce2sea) $(mod_dim_communs)   \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Grice2sea_iterbeta \
	$(Dim_GrIce2sea) $(mod_dim_communs)  \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Grismip6 : $(Dim_grismip6) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_grismip6) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Grismip6 \
	$(Dim_grismip6) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_grismip6) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Hemin-40 : $(Dim_hemin40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_hemin40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Hemin-40 \
	$(Dim_hemin40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_hemin40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Hemin-40_iterbeta : $(Dim_hemin40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_hemin40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Hemin-40_iterbeta \
	$(Dim_hemin40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_hemin40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Hemin-15 : $(Dim_hemin15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_hemin15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Hemin-15 \
	$(Dim_hemin15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_hemin15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Euras-40 : $(Dim_euras40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_euras40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Euras-40 \
	$(Dim_euras40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_euras40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Euras-20 : $(Dim_euras20) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_euras20) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Euras-20 \
	$(Dim_euras20) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_euras20) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)
	
Euras-10 : $(Dim_euras10) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_euras10) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Euras-10 \
	$(Dim_euras10) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_euras10) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)	

Laure-16 : $(Dim_laure16) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_laure16) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Laure-16 \
	$(Dim_laure16) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_laure16) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)	

Alps-2 : $(Dim_alps2) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_alps) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Alps-2 \
	$(Dim_alps2) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_alps) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)	

Alps-1 : $(Dim_alps1) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_alps) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Alps-1 \
	$(Dim_alps1) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_alps) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)	

Greeneem15 : $(Dim_greeneem15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_greeneem15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Greeneem15 \
	$(Dim_greeneem15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_greeneem15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)
	
Greeneem15_iterbeta : $(Dim_greeneem15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_greeneem15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Greeneem15_iterbeta \
	$(Dim_greeneem15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_greeneem15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Ant-40 : $(Dim_Ant40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Ant40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Ant-40 \
	$(Dim_Ant40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Ant40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)
	
Ant-40_iterbeta : $(Dim_Ant40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Ant40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Ant-40_iterbeta \
	$(Dim_Ant40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Ant40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)	
	
Snowball : $(Dim_Snowball) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Snowball) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Snowball \
	$(Dim_Snowball) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Snowball) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)
	
	
clean	:
	rm -f *.o *.mod *~  */*~ BLAS/*.o

